﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    /* margin-bottom: 60px; */
    font-family: Arial, Helvetica, Sans-Serif, Dotum, '돋움';
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  /* Set the fixed height of the footer here */
  height: 60px;
  line-height: 60px; /* Vertically center the text there */
}


input {
    border: 1px solid #ccc;
}

button.notYet {
    background-color:gray;
}

button.getData {
    min-width: 50px;
}

hr.light {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    padding: 0;
}

hr.narrow {
    margin: 5px 0;
}

hr.newLine {
    visibility: hidden;
    margin: 4px 0;
}

/* custom */
.navbar {
    padding: 0.1rem 1rem;
}

a.nav-link {
    padding: 0.2rem 1rem;
}

.left-submenu {
    max-width:150px;
    padding-right:0;
}
@media screen and (max-width: 768px) {
    .left-submenu {
        max-width: inherit;
    }
    .left-submenu h6 {
        float: left;
        padding-right: 10px;
        min-width: 70px;
    }    
    a.nav-link {
        padding: 0.1rem 0.7rem;
    }
    .left-submenu hr.newLine {
        visibility: hidden;
        margin: 2px 0;
    }
    .mobile-hide {
        display:none;
    }
}

a.obsolete {
    color: gray;
}

/* bootstrap dropdown 을 click 대신 hover 로 */
@media screen and (min-width: 768px) {
    .dropdown:hover .dropdown-menu, .btn-group:hover .dropdown-menu {
        display: block;
    }
    /* margin 을 없애줘야 hover 가 유지됨 */
    .dropdown-menu {
        margin-top: 0;
    }
    .dropdown-toggle {
        margin-bottom: 2px;
    }
    .navbar .dropdown-toggle, .nav-tabs .dropdown-toggle {
        margin-bottom: 0;
    }
}
.dropdown-menu {
    font-size: 0.9rem;
}

ul.connectedMembers li {
    padding: 0.1rem 0.2rem 0.1rem 0.2rem;
}


/* Chrome, Safari, Opera */
@-webkit-keyframes myflash {
    from {
        background: yellow;
    }

    to {
        background: white;
    }
}

.flash {
    -webkit-animation: myflash 5s;
}



fieldset.grpbox {
    display: inline-block;
    padding-top: 0px;
    padding-bottom: 1px;
    border: 1px groove;
    border-color: ThreeDFace;
    border-image: initial;
}

fieldset.grpbox legend {
    width:initial;
    padding-top: 0px;
    padding-bottom: 0px;
    margin-bottom: 0px;
    font-size: 90%;
    font-weight: bold;
}

.inputHighlight {
    background-color: yellow;
}


.note[title] {
    position: relative;
}

.note[title]:after { /* Magic Happens Here!!! */
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    display: block;
    border-left: 5px solid transparent;
    border-top: 5px solid #f00;
}


#components-reconnect-modal {
    display: none;
}

    #components-reconnect-modal.components-reconnect-rejected {
        display: block;
    }
/*.components-reconnect-show, .components-reconnect-failed, .components-reconnect-rejected {
    display: none;
}*/